description: The one and only view from our run back to BL. Muslim village and its
  mosque. The weather changed and we were completely wet.
title: DSC00472
url: https://gallery.debconf.org/main.php?g2_itemId=56165
